Get survey
curl --request GET \
--url https://api.pickfu.com/v1/surveys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pickfu.com/v1/surveys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pickfu.com/v1/surveys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"country": "<string>",
"sampleSize": 123,
"numResponses": 123,
"status": "<string>",
"targeting": [
"<string>"
],
"reporting": [
"<string>"
],
"reportingDefaultsApplied": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"projects": [
{
"id": "<string>",
"name": "<string>"
}
],
"surveyUrl": "<string>",
"surveyIntent": "<string>",
"questions": [
{
"id": "<string>",
"type": "<string>",
"variant": "<string>",
"value": "<string>",
"translation": "<string>",
"options": [
{
"id": "<string>",
"label": "<string>",
"value": "<string>",
"type": "<string>",
"translation": "<string>",
"product": {
"asin": "<string>",
"title": "<string>",
"price": 123,
"salePrice": 123,
"rating": 123,
"reviews": 123,
"image": "<string>"
},
"imageSetDirection": "<string>",
"mockupType": "<string>"
}
],
"context": {
"type": "<string>",
"value": "<string>",
"translation": "<string>"
},
"results": {
"totalResponses": 123,
"winningOptionId": "<string>",
"averageScore": 123,
"options": [
{
"id": "<string>",
"label": "<string>",
"votes": 123,
"percentage": 123,
"rank": 123,
"isWinner": true
}
]
},
"responses": [
{
"id": "<string>",
"pinned": true,
"explanation": "<string>",
"translation": "<string>",
"chosenOption": "<string>",
"selectedOptions": [
"<string>"
],
"score": 123,
"clicks": [
{
"number": 123,
"xCoord": 123,
"yCoord": 123
}
],
"ranking": [
{
"rank": 123,
"option": "<string>"
}
],
"media": "<string>",
"mediaTranscription": "<string>",
"matchup": {
"option1": "<string>",
"option2": "<string>"
},
"statements": [
{
"id": "<string>",
"statement": "<string>",
"value": 123
}
],
"respondent": [
{
"trait": "<string>",
"value": "<string>"
}
]
}
],
"ai": {}
}
]
}
}Surveys
Get survey
Retrieves a survey by its unique GUID, including all questions, answer options, respondent answers (if complete), and AI-generated summaries.
GET
/
surveys
/
{id}
Get survey
Authorizations
OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}
Path Parameters
Survey GUID
Filter to a specific question by its GUID
Language code for response translations (e.g. ES, FR, DE)
Response
200 - application/json
Default Response
Full survey data including questions, options, and metadata
Show child attributes
Show child attributes
Was this page helpful?
⌘I
